STTY(1)

NAZWA
stty - zmienia i drukuje ustawienia linii terminala

SKŁADNIA
stty [-F URZĄDZENIE] [--file=URZĄDZENIE] [USTAWIENIA]...
stty [-F URZĄDZENIE] [--file=URZĄDZENIE] [-a|--all]
stty [-F URZĄDZENIE] [--file=URZĄDZENIE] [-g|--save]

OPIS
Wyświetlenie lub zmiana ustawień terminala.

-a, --all
    wyświetlenie wszystkich aktualnych ustawień w postaci czytelnej dla człowieka

-g, --save
    wyświetlenie wszystkich aktualnych ustawień w formacie czytelnym dla stty

-F, --file=URZĄDZENIE
    otwarcie i używanie podanego URZĄDZENIA zamiast standardowego wejścia

--help
    wyświetlenie opisu działania i zakończenie

--version
    wyświetlenie informacji o wersji i zakończenie

Opcjonalny minus przed USTAWIENIEM oznacza zaprzeczenie. Gwiazdka (*) oznacza ustawienia spoza POSIX. System sam określa, które ustawienia są dostępne.

  Znaki specjalne:

* dsusp ZNAK
    ZNAK wysyła do terminala sygnał stopu po opróżnieniu wejścia

eof ZNAK
    ZNAK wysyła znak końca pliku (końca wejścia)

eol ZNAK
    ZNAK wysyła znak końca linii

* eol2 ZNAK
    alternatywny ZNAK końca linii

erase ZNAK
    ZNAK kasuje ostatni wprowadzony znak

intr ZNAK
    ZNAK wysyła sygnał przerwania

kill ZNAK
    ZNAK kasuje bieżącą linię

* lnext ZNAK
    ZNAK wprowadza następny znak w cudzysłowie

quit ZNAK
    ZNAK wysyła sygnał wyjścia

* rprnt ZNAK
    ZNAK powtarza bieżącą linię

start ZNAK
    ZNAK wznawia wyświetlanie

stop ZNAK
    ZNAK wstrzymuje wyświetlanie

susp ZNAK
    ZNAK wysyła do terminala sygnał stop

* swtch ZNAK
    ZNAK włącza inną warstwę powłoki

* werase ZNAK
    ZNAK kasuje ostatnie wprowadzone słowo

  Ustawienia specjalne:

N   ustawienie prędkości wyjściowej i wejściowej na N bitów/s

* cols N
    ustawienie szerokości terminala na N kolumn

* columns N
    to samo, co cols N

ispeed N
    ustawienie prędkości wejściowej na N

* line N
    użycie rygoru linii (line discipline) N

min N
    z -icanon ustawienie minimum N znaków pełnego odczytu

ospeed N
    ustawienie prędkości wyjściowej na N

* rows N
    ustawienie długości terminala na N wierszy

* size
    wyświetlenie liczby wierszy i kolumn według ustawień jądra

speed
    wyświetlenie prędkości terminala

time N
    z -icanon ustawienie timeout na N dziesiątych sekundy

  Ustawienia sterujące:

[-]clocal
    wyłączenie sygnałów sterowania modemu

[-]cread
    włączenie odbioru z wejścia

* [-]crtscts
    włączenie protokołu RTS/CTS (handshaking)

csN ustawienie wielkości znaku na N bitów, N w zakresie [5..8]

[-]cstopb
    użycie dwóch bitów stopu na znak (jeden z `-')

[-]hup
    wysłanie sygnału rozłączenia, gdy ostatni proces zamknie terminal

[-]hupcl
    to samo co [-]hup

[-]parenb
    włączenie ustawiania i sprawdzania bitu parzystości

[-]parodd
    włączenie parzystości nieparzystej (parzystej z `-')

  Ustawienia wejścia:

[-]brkint
    znaki break powodują wysłanie sygnału przerwania

[-]icrnl
    zamienianie znaków CR na NL

[-]ignbrk
    ignorowanie znaku break

[-]igncr
    ignorowanie znaku CR

[-]ignpar
    ignorowanie znaków z błędami parzystości

* [-]imaxbel
    piszczenie przy pełnym buforze (bez jego opróżniania) po wprowadzeniu znaku

[-]inlcr
    zamienianie znaków NL na CR

[-]inpck
    włączenie kontroli parzystości na wejściu

[-]istrip
    zerowanie najstarszego (ósmego) bitu znaków na wejściu

* [-]iuclc
    zamienianie wielkich liter na małe

* [-]ixany
    każdy znak wznawia transmisję, nie tylko start

[-]ixoff
    włączenie wysyłania znaków start/stop

[-]ixon
    włączenie protokołu sterowania przepływem XON/XOF

[-]parmrk
    zaznaczanie błędów parzystości sekwencją 255-0-znak

[-]tandem
    to samo, co [-]ixoff

  Ustawienia dla wyjścia:

* bsN
    styl opóźnienia po znaku BS, N w zakresie [0..1]

* crN
    styl opóźnienia po znaku CR, N w zakresie [0..3]

* ffN
    styl opóźnienia po znaku FF, N w zakresie [0..1]

* nlN
    styl opóźnienia po znaku NL, N w zakresie [0..1]

* [-]ocrnl
    zamienianie znaku CR na NL

* [-]ofdel
    używanie znaku DEL zamiast NUL jako znaku wypełniającego

* [-]ofill
    używanie znaków wypełniających zamiast opóźnień transmisji

* [-]olcuc
    zamienianie małych liter na wielkie

* [-]onlcr
    zamienianie znaków NL na sekwencje CR-NL

* [-]onlret
    znak NL powoduje powrót karetki (carriage return)

* [-]onocr
    bez wysyłania znaków CR w pierwszej kolumnie

[-]opost
    przetwarzanie znaków wyjściowych

* tabN
    styl opóźnienia po tabulatorze poziomym, N w zakresie [0..3]

* tabs
    to samo, co tab0

* -tabs
    to samo, co tab3

* vtN
    styl opóźnienia po tabulatorze pionowym, N w zakresie [0..1]

  Ustawienia lokalne:

[-]crterase
    wyświetlanie znaku erase jako BS-spacja-BS

* crtkill
    kasowanie całej linii zgodnie z ustawieniami echoprt i echoe

* -crtkill
    kasowanie całej linii zgodnie z ustawieniami echoctl i echok

* [-]ctlecho
    wyświetlanie znaków kontrolnych jako `^c' itp.

[-]echo
    wyświetlanie każdego znaku z wejścia

* [-]echoctl
    to samo, co [-]ctlecho

[-]echoe
    to samo, co [-]crterase

[-]echok
    wyświetlanie znaku nowej linii po znaku kill

* [-]echoke
    to samo, co [-]crtkill

[-]echonl
    wyświetlanie znaku NL, nawet jeśli inne nie są wyświetlane

* [-]echoprt
    wyświetlanie skasowanych znaków wstecz między `\' i `/'

[-]icanon
    wyświetlanie znaków erase, kill, werase i rprnt

[-]iexten
    wyświetlanie znaków spoza specyfikacji POSIX

[-]isig
    wyświetlanie znaków intr, quit i susp

[-]noflsh
    bez opróżniania bufora po znakach intr i quit

* [-]prterase
    to samo, co [-]echoprt

* [-]tostop
    zatrzymywanie procesów w tle, próbujących pisać na terminal

* [-]xcase
    z icanon: wyświetlanie wielkich liter jako `\mała-litera'

  Kombinacje ustawień:

* [-]LCASE
    jak [-]lcase

cbreak
    jak -icanon

-cbreak
    jak icanon

cooked
    jak brkint ignpar istrip icrnl ixon opost isig icanon, eof i eol ustawione na wartości domyślne

-cooked
    jak raw

crt jak echoe echoctl echoke

dec jak echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    jak [-]ixany

ek  ustawienie znaków erase i kill na wartości domyślne

evenp
    jak parenb -parodd cs7

-evenp
    jak -parenb cs8

* [-]lcase
    jak xcase iuclc olcuc

litout
    jak -parenb -istrip -opost cs8

-litout
    jak parenb istrip opost cs7

nl  jak -icrnl -onlcr

-nl jak icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    jak parenb parodd cs7

-oddp
    jak -parenb cs8

[-]parity
    jak [-]evenp

pass8
    jak -parenb -istrip cs8

-pass8
    jak parenb istrip cs7

raw jak -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -iuclc -ixany -imaxbel -opost -isig -icanon -xcase min 1 time 0

-raw
    jak cooked

sane
    jak cread -ignbrk brkint -inlcr -igncr icrnl -ixoff -iucl -ixany imaxbel opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0 isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt echoctl echoke, wszystkie znaki specjalne przybierają standardowe wartości.

Obsługa linii terminalowej podłączonej do standardowego wejścia. Bez argumentów wyświetla prędkość transmisji, rygor linii i odchylenia od stty sane. W ustawieniach ZNAK powinien być podany dosłownie lub zakodowany np. ^c, 0x37, 0177 lub 127; wartość ^- lub słowo undef są używane do wyłączania znaków specjalnych.

AUTOR
Napisany przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Raporty o błędach wysyłaj do bug-coreutils@gnu.org .

PRAWA AUTORSKIE
Copyright © 2004 Free Software Foundation, Inc.
Ten program jest darmowy; warunki kopiowania są opisane w źródłach. Autorzy nie dają ŻADNYCH gwarancji, w tym również gwarancji PRZYDATNOŚCI DO SPRZEDAŻY LUB DO KONKRETNYCH CELÓW.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu stty jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz stty są właściwie zainstalowane, polecenie

    info stty lub pinfo stty

powinno udostępnić kompletny podręcznik.